searchNodes=[{"ref":"TDMS.Channel.html","title":"TDMS.Channel","type":"module","doc":"Data structure for channels. Channels contain the actual data which is defined by the data type. Examples %TDMS.Channel{ data: [24.172693869632123, 24.238202284912816, 24.22418907461031, ...], data_count: 201, data_type: :double, name: &quot;ai.0&quot;, path: &quot;/&#39;Temperature&#39;/&#39;ai.0&#39;&quot;, properties: [ %TDMS.Property{data_type: :string, name: &quot;name&quot;, value: &quot;ai.0&quot;}, %TDMS.Property{data_type: :string, name: &quot;datatype&quot;, value: &quot;DT_DOUBLE&quot;} ] }"},{"ref":"TDMS.Channel.html#new/6","title":"TDMS.Channel.new/6","type":"function","doc":"Creates a new TDMS.Channel structure"},{"ref":"TDMS.File.html","title":"TDMS.File","type":"module","doc":"The main data structure returned by the TDMS parser. TDMS files organize data in a three-level hierarchy of objects. The top level is comprised of a single object that holds file-specific information like author or title. TDMS.File contains a list of TDMS.Property and TDMS.Group. Examples %TDMS.File{ path: &quot;/&quot;, properties: [ %TDMS.Property{ data_type: :string, name: &quot;name&quot;, value: &quot;ni-crio-9068-190fdf5_20190609_235850.tdms&quot; } ], groups: [%TDMS.Group{...}] }"},{"ref":"TDMS.File.html#new/3","title":"TDMS.File.new/3","type":"function","doc":"Creates a new TDMS.File structure"},{"ref":"TDMS.Group.html","title":"TDMS.Group","type":"module","doc":"Data structure for channel groups. Each group can contain several TDMS.Channel. Examples %TDMS.Group{ name: &quot;Temperature&quot;, path: &quot;/&#39;Temperature&#39;&quot;, properties: [ %TDMS.Property{data_type: :string, name: &quot;name&quot;, value: &quot;Temperature&quot;} ], channels: [%TDMS.Channel{...}] }"},{"ref":"TDMS.Group.html#new/4","title":"TDMS.Group.new/4","type":"function","doc":"Creates a new TDMS.Group structure"},{"ref":"TDMS.Parser.html","title":"TDMS.Parser","type":"module","doc":"This module is the main parser for TDMS files. TDMS files organize data in a three-level hierarchy of objects. The top level is comprised of a single object that holds file-specific information like author or title. Each file can contain an unlimited number of groups, and each group can contain an unlimited number of channels. In the following illustration, the file example_events.tdms contains two groups, each of which contains two channels: example_events.tdms Measured Data Amplitude Sweep Phase Sweep Events Time Description For more details about the internal structure of TDMS files, see https://www.ni.com/product-documentation/5696/en/"},{"ref":"TDMS.Parser.html#parse/1","title":"TDMS.Parser.parse/1","type":"function","doc":"Parses the given TDMS file binary data and returns a hierarchical TDMS.File structure which contains a list of TDMS.Group and TDMS.Channel. Examples iex&gt; TDMS.Parser.parse(File.read!(&quot;test/data/basic.tdms&quot;)) %TDMS.File{ path: &quot;/&quot;, properties: [ %TDMS.Property{ data_type: :string, name: &quot;name&quot;, value: &quot;ni-crio-9068-190fdf5_20190609_235850.tdms&quot; } ], groups: [ %TDMS.Group{ name: &quot;Temperature&quot;, path: &quot;/&#39;Temperature&#39;&quot;, properties: [ %TDMS.Property{data_type: :string, name: &quot;name&quot;, value: &quot;Temperature&quot;} ] channels: [ %TDMS.Channel{ data: [24.172693869632123, 24.238202284912816, 24.22418907461031, ...], data_count: 201, data_type: :double, name: &quot;ai.0&quot;, path: &quot;/&#39;Temperature&#39;/&#39;ai.0&#39;&quot;, properties: [ %TDMS.Property{data_type: :string, name: &quot;name&quot;, value: &quot;ai.0&quot;}, %TDMS.Property{ data_type: :string, name: &quot;datatype&quot;, value: &quot;DT_DOUBLE&quot; }, ... ] }, %TDMS.Channel{ data: [24.07053512461277, 24.136787008557807, 24.128304594848682, ...], data_count: 201, data_type: :double, name: &quot;ai.1&quot;, path: &quot;/&#39;Temperature&#39;/&#39;ai.1&#39;&quot;, properties: [ %TDMS.Property{data_type: :string, name: &quot;name&quot;, value: &quot;ai.1&quot;}, %TDMS.Property{ data_type: :string, name: &quot;datatype&quot;, value: &quot;DT_DOUBLE&quot; }, ... ] }, ... ] } ] }"},{"ref":"TDMS.Property.html","title":"TDMS.Property","type":"module","doc":"Each TDMS.Property consists of a combination of a name (always a string), a type identifier, and a value. Typical data types for properties include numeric types such as integers or floating-point numbers, time stamps or strings. Every TDMS object can have an unlimited number of properties. Examples %TDMS.Property{data_type: :string, name: &quot;name&quot;, value: &quot;ai.0&quot;} %TDMS.Property{data_type: :string, name: &quot;datatype&quot;, value: &quot;DT_DOUBLE&quot;} %TDMS.Property{data_type: :timestamp, name: &quot;wf_start_time&quot;, value: ~U[2019-06-09 23:48:50.982355Z]} %TDMS.Property{data_type: :double, name: &quot;wf_start_offset&quot;, value: 0.0} %TDMS.Property{data_type: :double, name: &quot;wf_increment&quot;, value: 3.0} %TDMS.Property{data_type: :int32, name: &quot;wf_samples&quot;, value: 201} %TDMS.Property{data_type: :string, name: &quot;NI_ChannelName&quot;, value: &quot;ai.0&quot;} %TDMS.Property{data_type: :string, name: &quot;NI_UnitDescription&quot;, value: &quot;Degrees Celsius&quot;} %TDMS.Property{data_type: :string, name: &quot;unit_string&quot;, value: &quot;Degrees Celsius&quot;}"},{"ref":"TDMS.Property.html#new/3","title":"TDMS.Property.new/3","type":"function","doc":"Creates a new TDMS.Property structure"}]